[DEFAULT]
# Directory Definitions
logdir=/var/log/nova
state_path=/var/lib/nova
lock_path=/var/lock/nova
# SQL Settings
sql_connection=mysql://novadbadmin:dieD9Mie@192.168.122.111/nova
# Scheduler definition
scheduler_driver=nova.scheduler.simple.SimpleScheduler
rabbit_host=192.168.122.111
# Host and URL settings
s3_host=192.168.122.111
ec2_host=192.168.122.111
cc_host=192.168.122.111
nova_url=http://192.168.122.111:8774/v1.1/
ec2_url=http://192.168.122.111:8773/services/Cloud
keystone_ec2_url=http://192.168.122.111:5000/v2.0/ec2tokens
dmz_cidr=169.254.169.254/32
ec2_dmz_host=192.168.122.111
metadata_host=192.168.122.111
metadata_listen=0.0.0.0
enabled_apis=ec2,osapi_compute,metadata
# Glance related settings
glance_api_servers=192.168.122.111:9292
image_service=nova.image.glance.GlanceImageService
# libvirt specific settings
libvirt_type=kvm
connection_type=libvirt
start_guests_on_host_boot=false
resume_guests_state_on_host_boot=true
# Networking
network_api_class=nova.network.quantumv2.api.API
quantum_url=http://192.168.122.111:9696
quantum_auth_strategy=keystone
quantum_admin_tenant_name=service
quantum_admin_username=quantum
quantum_admin_password=hastexo
quantum_admin_auth_url=http://192.168.122.111:35357/v2.0
firewall_driver=nova.virt.libvirt.firewall.IptablesFirewallDriver
compute_driver=nova.virt.libvirt.LibvirtDriver
libvirt_vif_driver=nova.virt.libvirt.vif.LibvirtOpenVswitchVirtualPortDriver
quantum_use_dhcp=True
libvirt_ovs_bridge=br-int
libvirt_vif_type=ethernet
# Cinder
volume_api_class=nova.volume.cinder.API
# Other settings
ec2_private_dns_show_ip=True
allow_admin_api=True
use_deprecated_auth=False
auth_strategy=keystone
api_paste_config=/etc/nova/api-paste.ini
root_helper=sudo nova-rootwrap /etc/nova/rootwrap.conf
verbose=True
debug=True
libvirt_use_virtio_for_bridges=True
novnc_enabled=True
# VNC related settings
novncproxy_base_url=http://192.168.122.111:6080/vnc_auto.html
vncserver_proxyclient_address=127.0.0.1
vncserver_listen=0.0.0.0
